org.apache.cassandra.schema

## Class Indexes.Builder

- java.lang.Object
- - org.apache.cassandra.schema.Indexes.Builder

Enclosing class:
  Indexes

    public static final class Indexes.Builder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Indexes.Builder` `add(IndexMetadata index)`
`Indexes.Builder` `add(java.lang.Iterable<IndexMetadata> indexes)`
`Indexes` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public Indexes build()

#### add

    public Indexes.Builder add(IndexMetadata index)

#### add

    public Indexes.Builder add(java.lang.Iterable<IndexMetadata> indexes)